Page MenuHomePhabricator

Selenium tests broken on REL1_29
Closed, DeclinedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SyntaxHighlight_GeSHi/+/440873/
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/5407/console

Seemingly unrelated test failure on REL1_29... No issue seemingly on REL1_30

15:18:42 [15:18:42]  	Saved screenshot: ERROR_chrome_2018-06-18T15-18-42.392Z.png
15:18:42 [15:18:42]  	Failed to take screenshot on reject: 	 {"message":"unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.\nIf you are logged in, you can disable this warning in the \"Editing\" section of your preferences.}","type":"RuntimeError","seleniumStack":{"status":26,"type":"UnexpectedAlertOpen","message":"A modal dialog was open, blocking this operation","orgStatusMessage":"unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.\nIf you are logged in, you can disable this warning in the \"Editing\" section of your preferences.}\n  (Session info: chrome=57.0.2987.98)\n  (Driver info: chromedriver=2.27 (undefined),platform=Linux 4.9.0-0.bpo.6-amd64 x86_64)"}}
15:18:42 [15:18:42]  	Failed to take screenshot on reject: 	 {"message":"unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.\nIf you are logged in, you can disable this warning in the \"Editing\" section of your preferences.}","type":"RuntimeError","seleniumStack":{"status":26,"type":"UnexpectedAlertOpen","message":"A modal dialog was open, blocking this operation","orgStatusMessage":"unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.\nIf you are logged in, you can disable this warning in the \"Editing\" section of your preferences.}\n  (Session info: chrome=57.0.2987.98)\n  (Driver info: chromedriver=2.27 (undefined),platform=Linux 4.9.0-0.bpo.6-amd64 x86_64)"}}
15:18:43 ------------------------------------------------------------------
15:18:43 [chrome #0-1] Session ID: d2448e490ef087641c3c028240c8cd80
15:18:43 [chrome #0-1] Spec: /workspace/src/tests/selenium/specs/page.js
15:18:43 [chrome #0-1] Running: chrome
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1]   Page
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1]   Page
15:18:43 [chrome #0-1]       1) should be creatable
15:18:43 [chrome #0-1]       2) should be editable
15:18:43 [chrome #0-1]       3) should have history
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1] 3 failing (4s)
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1] 1) Page should be creatable:
15:18:43 [chrome #0-1] unknown error: Element <span id="wpSave" aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-flaggedElement-constructive oo-ui-flaggedElement-primary oo-ui-inputWidget oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonInputWidget" data-ooui="{&quot;_&quot;:&quot;OO.ui.ButtonInputWidget&quot;,&quot;useInputTag&quot;:true,&quot;type&quot;:&quot;submit&quot;,&quot;name&quot;:&quot;wpSave&quot;,&quot;flags&quot;:[&quot;constructive&quot;,&quot;primary&quot;],&quot;tabIndex&quot;:3,&quot;title&quot;:&quot;Save your changes [s]&quot;,&quot;accessKey&quot;:&quot;s&quot;,&quot;label&quot;:&quot;Save page&quot;}">...</span> is not clickable at point (271, 874). Other element would receive the click: <div class="oo-ui-window oo-ui-dialog oo-ui-messageDialog ve-init-mw-desktopArticleTarget-windowManager ve-init-mw-desktopArticleTarget-windowManager-welcome oo-ui-window-active oo-ui-window-setup oo-ui-window-ready" role="dialog" aria-labelledby="oojsui-1">...</div>
15:18:43 [chrome #0-1] Error: unknown error: Element <span id="wpSave" aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-flaggedElement-constructive oo-ui-flaggedElement-primary oo-ui-inputWidget oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonInputWidget" data-ooui="{&quot;_&quot;:&quot;OO.ui.ButtonInputWidget&quot;,&quot;useInputTag&quot;:true,&quot;type&quot;:&quot;submit&quot;,&quot;name&quot;:&quot;wpSave&quot;,&quot;flags&quot;:[&quot;constructive&quot;,&quot;primary&quot;],&quot;tabIndex&quot;:3,&quot;title&quot;:&quot;Save your changes [s]&quot;,&quot;accessKey&quot;:&quot;s&quot;,&quot;label&quot;:&quot;Save page&quot;}">...</span> is not clickable at point (271, 874). Other element would receive the click: <div class="oo-ui-window oo-ui-dialog oo-ui-messageDialog ve-init-mw-desktopArticleTarget-windowManager ve-init-mw-desktopArticleTarget-windowManager-welcome oo-ui-window-active oo-ui-window-setup oo-ui-window-ready" role="dialog" aria-labelledby="oojsui-1">...</div>
15:18:43 [chrome #0-1]     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:18:13)
15:18:43 [chrome #0-1]     at Context.<anonymous> (tests/selenium/specs/page.js:19:12)
15:18:43 [chrome #0-1]     at elementIdClick("0.5568776137725102-2") - click.js:20:22
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1] 2) Page should be editable:
15:18:43 [chrome #0-1] unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 [chrome #0-1] Error: unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 [chrome #0-1]     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:17:7)
15:18:43 [chrome #0-1]     at Context.<anonymous> (tests/selenium/specs/page.js:32:12)
15:18:43 [chrome #0-1]     If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 [chrome #0-1]     at element("#wpTextbox1") - at EditPage.get content [as content] (tests/selenium/pageobjects/edit.page.js:6:33)
15:18:43 [chrome #0-1]
15:18:43 [chrome #0-1] 3) Page should have history:
15:18:43 [chrome #0-1] unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 [chrome #0-1] Error: unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 [chrome #0-1]     at EditPage.open (tests/selenium/pageobjects/edit.page.js:12:9)
15:18:43 [chrome #0-1]     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:16:8)
15:18:43 [chrome #0-1]     at Context.<anonymous> (tests/selenium/specs/page.js:46:12)
15:18:43 [chrome #0-1]     If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 [chrome #0-1]     at url("/index.php?title=0.044223651618426674&action=edit") - at EditPage.open (tests/selenium/pageobjects/page.js:8:11)
15:18:43 [chrome #0-1]
15:18:43 
15:18:43 Wrote xunit report to [../log/].
15:18:43 Wrote xunit report to [../log/].
15:18:43 
15:18:43 
15:18:43 3 passing (25.50s)
15:18:43 3 failing
15:18:43 
15:18:43 1) Page should be creatable:
15:18:43 unknown error: Element <span id="wpSave" aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-flaggedElement-constructive oo-ui-flaggedElement-primary oo-ui-inputWidget oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonInputWidget" data-ooui="{&quot;_&quot;:&quot;OO.ui.ButtonInputWidget&quot;,&quot;useInputTag&quot;:true,&quot;type&quot;:&quot;submit&quot;,&quot;name&quot;:&quot;wpSave&quot;,&quot;flags&quot;:[&quot;constructive&quot;,&quot;primary&quot;],&quot;tabIndex&quot;:3,&quot;title&quot;:&quot;Save your changes [s]&quot;,&quot;accessKey&quot;:&quot;s&quot;,&quot;label&quot;:&quot;Save page&quot;}">...</span> is not clickable at point (271, 874). Other element would receive the click: <div class="oo-ui-window oo-ui-dialog oo-ui-messageDialog ve-init-mw-desktopArticleTarget-windowManager ve-init-mw-desktopArticleTarget-windowManager-welcome oo-ui-window-active oo-ui-window-setup oo-ui-window-ready" role="dialog" aria-labelledby="oojsui-1">...</div>
15:18:43 running chrome
15:18:43 Error: unknown error: Element <span id="wpSave" aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-flaggedElement-constructive oo-ui-flaggedElement-primary oo-ui-inputWidget oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonInputWidget" data-ooui="{&quot;_&quot;:&quot;OO.ui.ButtonInputWidget&quot;,&quot;useInputTag&quot;:true,&quot;type&quot;:&quot;submit&quot;,&quot;name&quot;:&quot;wpSave&quot;,&quot;flags&quot;:[&quot;constructive&quot;,&quot;primary&quot;],&quot;tabIndex&quot;:3,&quot;title&quot;:&quot;Save your changes [s]&quot;,&quot;accessKey&quot;:&quot;s&quot;,&quot;label&quot;:&quot;Save page&quot;}">...</span> is not clickable at point (271, 874). Other element would receive the click: <div class="oo-ui-window oo-ui-dialog oo-ui-messageDialog ve-init-mw-desktopArticleTarget-windowManager ve-init-mw-desktopArticleTarget-windowManager-welcome oo-ui-window-active oo-ui-window-setup oo-ui-window-ready" role="dialog" aria-labelledby="oojsui-1">...</div>
15:18:43     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:18:13)
15:18:43     at Context.<anonymous> (tests/selenium/specs/page.js:19:12)
15:18:43     at elementIdClick("0.5568776137725102-2") - click.js:20:22
15:18:43 
15:18:43 2) Page should be editable:
15:18:43 unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 running chrome
15:18:43 Error: unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:17:7)
15:18:43     at Context.<anonymous> (tests/selenium/specs/page.js:32:12)
15:18:43     If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43     at element("#wpTextbox1") - at EditPage.get content [as content] (tests/selenium/pageobjects/edit.page.js:6:33)
15:18:43 
15:18:43 3) Page should have history:
15:18:43 unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43 If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43 running chrome
15:18:43 Error: unexpected alert open: {Alert text : Leaving this page may cause you to lose any changes you have made.
15:18:43     at EditPage.open (tests/selenium/pageobjects/edit.page.js:12:9)
15:18:43     at EditPage.edit (tests/selenium/pageobjects/edit.page.js:16:8)
15:18:43     at Context.<anonymous> (tests/selenium/specs/page.js:46:12)
15:18:43     If you are logged in, you can disable this warning in the "Editing" section of your preferences.}
15:18:43     at url("/index.php?title=0.044223651618426674&action=edit") - at EditPage.open (tests/selenium/pageobjects/page.js:8:11)

Event Timeline

Reedy created this task.Jun 18 2018, 3:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2018, 3:21 PM

The patch targets REL1_29 which is end of life as of June 2018. I don't think I have ensured the Selenium tests are working properly on that branch.

The patch targets REL1_29 which is end of life as of June 2018. I don't think I have ensured the Selenium tests are working properly on that branch.

June 2018 is unfortunately vague. Is it the 1st June? 30th June? 15th June? When 1.31 was released?

I do agree it's probably not worth spending much (any?) time on this, although, while we're still running CI jobs we should be trying to make sure they work. :)

As I think lego said on another task, it's not technically EOL until it's announced as such (mediawiki-announce or similar, rather than just expecting people to know). Will file a task for that so we can formalise it, and then clear up after REL1_29 both on wiki and on mediawiki.org

Vvjjkkii renamed this task from Selenium tests broken on REL1_29 to 7paaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 7paaaaaaaa to Selenium tests broken on REL1_29.Jul 2 2018, 4:32 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Reedy closed this task as Declined.Jul 7 2018, 10:39 AM

Declining as we're now out of June.... But T197669 still needs dealing with ;)